List orders
curl --request GET \
--url https://sandbox-api.platform.chipper.ai/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.platform.chipper.ai/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.platform.chipper.ai/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ord_p95akjfs339uy9icpelj",
"status": "created",
"from": {
"code": "usdc_solana",
"amount": "100.00",
"currency": "USDC",
"accountNumber": "<string>",
"bank": "<string>",
"address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"tag": "<string>",
"chain": "Solana",
"kyc": {}
},
"to": {
"code": "gh_mtn",
"accountNumber": "233559630374",
"amount": "1598.00",
"currency": "GHS",
"tag": "<string>",
"kyc": {}
},
"fee": {
"amount": "1.00",
"currency": "USDC"
},
"rate": "15.9800",
"instructions": {
"type": "crypto",
"message": "Send 101.00 USDC on Solana to 7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"amount": "101.00",
"currency": "USDC",
"address": "<string>",
"tag": "<string>",
"chain": "Solana",
"bank": "<string>",
"accountNumber": "<string>",
"accountName": "<string>"
},
"expectedAmount": "101.00",
"receivedAmount": "101.00",
"collectionId": "col_x7kd92mfn3qp8wz4t6vb",
"payoutId": "pay_ghs_p95akjfs339uy9icpelj",
"externalReference": "inv-1042",
"narration": "Invoice #1042",
"metadata": {},
"statusMessage": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2026-08-01T09:12:44.000Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}{
"error": "unauthorized",
"message": "Invalid API key",
"requestId": "req_q7vei435zifs51ia0lqr"
}Orders
List orders
GET
/
v1
/
orders
List orders
Authorizations
Your API key: sk_test_… (sandbox) or sk_live_… (production).
Query Parameters
Page size, 1–100.
Required range:
1 <= x <= 100Example:
20
The nextCursor from the previous page.
Available options:
created, awaiting_funds, awaiting_confirmations, funds_received, overpaid, underpaid, processing_payout, completed, failed, expired Matches either the origin or the destination currency.
Example:
"GHS"
Comma-separated origin currencies.
Example:
"USDC,USDT"
Comma-separated destination currencies.
Example:
"GHS,NGN"
Created at or after.
Created before.
Example:
"inv-1042"
⌘I